Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env.jsp
Class RootContext

    java.lang.Object
      org.apache.commons.scxml.env.SimpleContext
          org.apache.commons.scxml.env.jsp.ELContext
              org.apache.commons.scxml.env.jsp.RootContext

All Implemented Interfaces:
  Context, Serializable, javax.servlet.jsp.el.VariableResolver

public final class RootContext
extends ELContext

EL Context for root SCXML element. Wrapper around the host JSP context. Must treat variables in the host JSP environments as read-only.

See Also:
  Serialized Form

Constructor Summary
`RootContext(javax.servlet.jsp.JspContext ctx)` Constructor.

Method Summary
`Object` | `get(String name)` Get the value of the given variable in this Context.
`javax.servlet.jsp.el.VariableResolver` | `getVariableResolver()` Get the VariableResolver associated with this root context.
`boolean` | `has(String name)` Does the given variable exist in this Context.
`void` | `setVariableResolver(javax.servlet.jsp.el.VariableResolver variableResolver)` Set the VariableResolver associated with this root context.

Methods inherited from class org.apache.commons.scxml.env.jsp.ELContext
`resolveVariable`

Methods inherited from class org.apache.commons.scxml.env.SimpleContext
`getLog, getParent, getVars, reset, set, setLocal, setLog, setVars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootContext

    public RootContext(javax.servlet.jsp.JspContext ctx)

  Constructor.

Parameters:
  `ctx` - the host JspContext

Method Detail

### get

    public Object get(String name)

  Get the value of the given variable in this Context.

  Specified by:
    `get` in interface `Context`
  Overrides:
    `get` in class `SimpleContext`
  Parameters:
    `name` - The name of the variable
  Returns:
    The value (or null)
  See Also:
    `Context.get(java.lang.String)`

### has

    public boolean has(String name)

  Does the given variable exist in this Context.

  Specified by:
    `has` in interface `Context`
  Overrides:
    `has` in class `SimpleContext`
  Parameters:
    `name` - The name of the variable
  Returns:
    boolean true if the variable exists
  See Also:
    `Context.has(java.lang.String)`

### getVariableResolver

    public javax.servlet.jsp.el.VariableResolver getVariableResolver()

  Get the VariableResolver associated with this root context.

  Returns:
    Returns the variableResolver.

### setVariableResolver

    public void setVariableResolver(javax.servlet.jsp.el.VariableResolver variableResolver)

  Set the VariableResolver associated with this root context.

  Parameters:
    `variableResolver` - The variableResolver to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.